> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /note/notes

> Get a note (article) by its key or URL

**Price:** 5 credits

**⚠️ Common errors:** 412: Note not found



## OpenAPI

````yaml /openapi/news-publishing.json post /api/note/notes
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/note/notes:
    post:
      tags:
        - /note
      summary: /note/notes
      description: |-
        Get a note (article) by its key or URL

        **Price:** 5 credits

        **⚠️ Common errors:** 412: Note not found
      operationId: __api_note_notes_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NoteNotePayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NoteNote'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NoteNotePayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        note:
          type: string
          minLength: 1
      type: object
      required:
        - note
    NoteNote:
      properties:
        '@type':
          type: string
          default: NoteNote
        id:
          type: integer
        key:
          type: string
        alias:
          type: string
        text:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        format:
          anyOf:
            - type: string
            - type: 'null'
        user:
          anyOf:
            - $ref: '#/components/schemas/NoteCreator'
            - type: 'null'
        tags:
          items:
            type: string
          type: array
          default: []
        like_count:
          type: integer
          default: 0
        comment_count:
          type: integer
          default: 0
        price:
          type: integer
          default: 0
        is_limited:
          type: boolean
          default: false
        is_trial:
          type: boolean
          default: false
        can_read:
          type: boolean
          default: false
        is_liked:
          type: boolean
          default: false
        image:
          anyOf:
            - type: string
            - type: 'null'
        note_url:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - key
        - alias
        - title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    NoteCreator:
      properties:
        '@type':
          type: string
          default: NoteCreator
        id:
          type: integer
        key:
          type: string
        urlname:
          type: string
        nickname:
          anyOf:
            - type: string
            - type: 'null'
        bio:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        note_count:
          type: integer
          default: 0
        following_count:
          type: integer
          default: 0
        follower_count:
          type: integer
          default: 0
        twitter_nickname:
          anyOf:
            - type: string
            - type: 'null'
        custom_domain:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - key
        - urlname
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````